Subject: Re: bug#52126: Problematic characters in info node names

From: Protesilaos Stavrou <[email-masked]>
Date: Tue, 30 Nov 2021 09:16:02 +0200

On 2021-11-29, 22:39 -0800, Stefan Kangas <[email-masked]> wrote:

> Eli Zaretskii <[email-masked]> writes:
>
>> The common part should only be committed to one branch.
>> Alternatively, the commit to emacs-28 should be marked with the "do
>> not merge to master" note.  See CONTRIBUTE for more about this.
>
> Yup.
>
> Otherwise, I get to resolve merge conflicts over my morning coffee.  :-)
>
>     There are unresolved conflicts in .../emacs/doc/misc/modus-themes.org
>     Conflicts in:
>     doc/misc/modus-themes.org
>
>     Resolve the conflicts manually
>     automerge: merge error
>
> It's not the end of the world, but it saves time if we can avoid it.

I understand, re-read CONTRIBUTE, and apologise for the inconvenience.

Should I then revert the commit in master and apply to it the 1
difference I mentioned before?  Just asking so that we do not commit
multiple times.

I noticed in 0854453ec2343cbfac3ac8e233cdc7bd2c8554a9 a pattern for how
reverted commits should be written.  I can follow that.

-- 
Protesilaos Stavrou
https://protesilaos.com